Ticket #41231

Garbled Japanese auto-picker editor menus (Linux/Mac)

Open Date: 2021-01-19 09:27 Last Update: 2021-01-24 11:16

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

This commit , https://osdn.net/projects/hengbandforosx/scm/git/hengbandosx/commits/7dbf6345a64f692699d563ac48257795e508740b , on the hengbandforosx project is an attempt to resolve https://osdn.net/projects/hengband/ticket/41161 and a similar issue on the hengbandforosx project. It moves the strings that were in autopick/autopick-editor-table.h and autopick/autopick-keys-table.h to autopick-menu-table.c so that the preprocessing done on Linux and Mac to change the encoding with nkf will affect them (currently only .c files are preprocessed) and so those strings are available for the static initialization of menu_data. autopick/autopick-editor-table.h was removed in the commit. I adjusted the Visual Studio files but compilation has only been tested on Linux.

Ticket History (3/6 Histories)

2021-01-19 09:27 Updated by: backwardseric
  • New Ticket "Garbled Japanese auto-picker editor menus (Linux/Mac)" created
2021-01-19 23:15 Updated by: deskull
Comment

All right, I'll check too and try to merge.

2021-01-20 09:27 Updated by: backwardseric
Comment

Sorry, I missed that you had applied the other commit as well. You can ignore this comment.

(Edited, 2021-01-23 17:19 Updated by: backwardseric)
2021-01-23 11:47 Updated by: hourier
  • Owner Update from deskull to hourier
  • Resolution Update from None to Accepted
2021-01-23 13:08 Updated by: hourier
  • Owner Update from hourier to deskull
  • Resolution Update from Accepted to Fixed
Comment

Thank you very much for the fix!

>deskullさん
修正しました
ブランチfeature/Fix-English-Bugs にpush予定です

2021-01-24 11:16 Updated by: deskull
  • Status Update from Open to Closed
  • Owner Update from deskull to hourier
Comment

他件と含めてマージ完了。

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login